;=======================================
;  CVASM16 INCLUDE FILE for the 12CE673
;      Copyright (c) 2001 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04/23/01
;=======================================

                     DEVCODE    00673h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    5           

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
GPIO                 EQU        0005h       
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
ADRES                EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRIS                 EQU        0085h       
TRISIO               EQU        0085h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
OSCCAL               EQU        008Fh       
ADCON1               EQU        009Fh       


;=======================================
;  GPIO Register BIT Definitions 
;=======================================
SCL                  EQU        GPIO.7      
SDA                  EQU        GPIO.6      
GP5                  EQU        GPIO.5      
GP4                  EQU        GPIO.4      
GP3                  EQU        GPIO.3      
GP2                  EQU        GPIO.2      
GP1                  EQU        GPIO.1      
GP0                  EQU        GPIO.0      


;=======================================
;  TRIS Register BIT Definitions 
;=======================================
TRIS5                EQU        TRIS.5      
TRIS4                EQU        TRIS.4      
TRIS3                EQU        TRIS.3      
TRIS2                EQU        TRIS.2      
TRIS1                EQU        TRIS.1      
TRIS0                EQU        TRIS.0      


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADCS1                EQU        ADCON0.7    
ADCS0                EQU        ADCON0.6    
CHS1                 EQU        ADCON0.4    
CHS0                 EQU        ADCON0.3    
GO                   EQU        ADCON0.2    
NOT_DONE             EQU        ADCON0.2    
GO_DONE              EQU        ADCON0.2    
ADON                 EQU        ADCON0.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
GPIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
GPIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_GPPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
NOT_POR              EQU        PCON.1      


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL3                 EQU        OSCCAL.7    
CAL2                 EQU        OSCCAL.6    
CAL1                 EQU        OSCCAL.5    
CAL0                 EQU        OSCCAL.4    
CALFST               EQU        OSCCAL.3    
CALSLW               EQU        OSCCAL.2    


;=======================================
;  ADCON1 Register BIT Definitions 
;=======================================
PCFG2                EQU        ADCON1.2    
PCFG1                EQU        ADCON1.1    
PCFG0                EQU        ADCON1.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3F7Fh       
_CP_ALL              EQU        009Fh       
_CP_75               EQU        15BFh       
_CP_50               EQU        2ADFh       
_CP_OFF              EQU        3FFFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_INTRC_OSC           EQU        3FFCh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC           EQU        3FFEh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
