;=======================================
;  CVASM16 INCLUDE FILE for the 12F683
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F683h      
                     ROMSIZE    2048        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    5           

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
GPIO                 EQU        0005h       
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
TMR2                 EQU        0011h       
T2CON                EQU        0012h       
CCPR1L               EQU        0013h       
CCPR1H               EQU        0014h       
CCP1CON              EQU        0015h       
WDTCON               EQU        0018h       
CMCON0               EQU        0019h       
CMCON1               EQU        001Ah       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISIO               EQU        0085h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
PR2                  EQU        0092h       
WPU                  EQU        0095h       
WPUA                 EQU        0095h       
IOC                  EQU        0096h       
IOCA                 EQU        0096h       
VRCON                EQU        0099h       
EEDATA               EQU        009Ah       
EEDAT                EQU        009Ah       
EEADR                EQU        009Bh       
EECON1               EQU        009Ch       
EECON2               EQU        009Dh       
ADRESL               EQU        009Eh       
ANSEL                EQU        009Fh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
GPIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
GPIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
EEIF                 EQU        PIR1.7      
ADIF                 EQU        PIR1.6      
CCP1IF               EQU        PIR1.5      
CMIF                 EQU        PIR1.3      
OSFIF                EQU        PIR1.2      
T2IF                 EQU        PIR1.1      
TMR2IF               EQU        PIR1.1      
T1IF                 EQU        PIR1.0      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
T1GE                 EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  T2CON Register BIT Definitions 
;=======================================
TOUTPS3              EQU        T2CON.6     
TOUTPS2              EQU        T2CON.5     
TOUTPS1              EQU        T2CON.4     
TOUTPS0              EQU        T2CON.3     
TMR2ON               EQU        T2CON.2     
T2CKPS1              EQU        T2CON.1     
T2CKPS0              EQU        T2CON.0     


;=======================================
;  CCP1CON Register BIT Definitions 
;=======================================
DC1B1                EQU        CCP1CON.5   
DC1B0                EQU        CCP1CON.4   
CCP1M3               EQU        CCP1CON.3   
CCP1M2               EQU        CCP1CON.2   
CCP1M1               EQU        CCP1CON.1   
CCP1M0               EQU        CCP1CON.0   


;=======================================
;  WDTCON Register BIT Definitions 
;=======================================
WDTPS3               EQU        WDTCON.4    
WDTPS2               EQU        WDTCON.3    
WDTPS1               EQU        WDTCON.2    
WDTPS0               EQU        WDTCON.1    
SWDTEN               EQU        WDTCON.0    


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON0.7    
VCFG                 EQU        ADCON0.6    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_GPPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
EEIE                 EQU        PIE1.7      
ADIE                 EQU        PIE1.6      
CCP1IE               EQU        PIE1.5      
CMIE                 EQU        PIE1.3      
OSFIE                EQU        PIE1.2      
T2IE                 EQU        PIE1.1      
TMR2IE               EQU        PIE1.1      
T1IE                 EQU        PIE1.0      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
ULPWUE               EQU        PCON.5      
SBODEN               EQU        PCON.4      
NOT_POR              EQU        PCON.1      
NOT_BOD              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   
IOC5                 EQU        OSCTUNE.5   
IOC4                 EQU        OSCTUNE.4   
IOC3                 EQU        OSCTUNE.3   
IOC2                 EQU        OSCTUNE.2   
IOC1                 EQU        OSCTUNE.1   
IOC0                 EQU        OSCTUNE.0   
IOCA5                EQU        OSCTUNE.5   
IOCA4                EQU        OSCTUNE.4   
IOCA3                EQU        OSCTUNE.3   
IOCA2                EQU        OSCTUNE.2   
IOCA1                EQU        OSCTUNE.1   
IOCA0                EQU        OSCTUNE.0   


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VRR                  EQU        VRCON.5     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     
WRERR                EQU        VRCON.3     
WREN                 EQU        VRCON.2     
WR                   EQU        VRCON.1     
RD                   EQU        VRCON.0     
ADCS2                EQU        VRCON.6     
ADCS1                EQU        VRCON.5     
ADCS0                EQU        VRCON.4     
ANS3                 EQU        VRCON.3     
ANS2                 EQU        VRCON.2     
ANS1                 EQU        VRCON.1     
ANS0                 EQU        VRCON.0     


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOD_ON              EQU        3FFFh       
_BOD_NSLEEP          EQU        3EFFh       
_BOD_SBODEN          EQU        3DFFh       
_BOD_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTOSCIO            EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_INTOSC              EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRCIO             EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_EXTRC               EQU        3FFFh       
