;=======================================
;  CVASM16 INCLUDE FILE for the 16F639
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F639h      
                     ROMSIZE    2048        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    0           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
WDTCON               EQU        0018h       
CMCON0               EQU        0019h       
CMCON1               EQU        001Ah       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISC                EQU        0087h       
PIE1                 EQU        008Ch       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
LVDCON               EQU        0094h       
WPUDA                EQU        0095h       
IOCA                 EQU        0096h       
WDA                  EQU        0097h       
VRCON                EQU        0099h       
EEDAT                EQU        009Ah       
EEDATA               EQU        009Ah       
EEADR                EQU        009Bh       
EECON1               EQU        009Ch       
EECON2               EQU        009Dh       
CRCON                EQU        0110h       
CRDAT0               EQU        0111h       
CRDAT1               EQU        0112h       
CRDAT2               EQU        0113h       
CRDAT3               EQU        0114h       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RAIE                 EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RAIF                 EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
EEIF                 EQU        PIR1.7      
LVDIF                EQU        PIR1.6      
CRIF                 EQU        PIR1.5      
C2IF                 EQU        PIR1.4      
C1IF                 EQU        PIR1.3      
OSFIF                EQU        PIR1.2      
TMR1IF               EQU        PIR1.0      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  WDTCON Register BIT Definitions 
;=======================================
WDTPS3               EQU        WDTCON.4    
WDTPS2               EQU        WDTCON.3    
WDTPS1               EQU        WDTCON.2    
WDTPS0               EQU        WDTCON.1    
SWDTEN               EQU        WDTCON.0    


;=======================================
;  CMCON0 Register BIT Definitions 
;=======================================
C2OUT                EQU        CMCON0.7    
C1OUT                EQU        CMCON0.6    
C2INV                EQU        CMCON0.5    
C1INV                EQU        CMCON0.4    
CIS                  EQU        CMCON0.3    
CM2                  EQU        CMCON0.2    
CM1                  EQU        CMCON0.1    
CM0                  EQU        CMCON0.0    


;=======================================
;  CMCON1 Register BIT Definitions 
;=======================================
T1GSS                EQU        CMCON1.1    
C2SYNC               EQU        CMCON1.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RAPU             EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
EEIE                 EQU        PIE1.7      
LVDIE                EQU        PIE1.6      
CRIE                 EQU        PIE1.5      
C2IE                 EQU        PIE1.4      
C1IE                 EQU        PIE1.3      
OSFIE                EQU        PIE1.2      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
ULPWUE               EQU        PCON.5      
SBODEN               EQU        PCON.4      
NOT_WUR              EQU        PCON.3      
NOT_POR              EQU        PCON.1      
NOT_BOD              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  IOCA Register BIT Definitions 
;=======================================
IOCA5                EQU        IOCA.5      
IOCA4                EQU        IOCA.4      
IOCA3                EQU        IOCA.3      
IOCA2                EQU        IOCA.2      
IOCA1                EQU        IOCA.1      
IOCA0                EQU        IOCA.0      


;=======================================
;  EECON1 Register BIT Definitions 
;=======================================
WRERR                EQU        EECON1.3    
WREN                 EQU        EECON1.2    
WR                   EQU        EECON1.1    
RD                   EQU        EECON1.0    


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
VREN                 EQU        VRCON.7     
VRR                  EQU        VRCON.5     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  CRCON Register BIT Definitions 
;=======================================
GO                   EQU        CRCON.7     
ENC_DEC              EQU        CRCON.6     
CRREG1               EQU        CRCON.1     
CRREG0               EQU        CRCON.0     


;=======================================
;  LVDCON Register BIT Definitions 
;=======================================
IRVST                EQU        LVDCON.5    
LVDEN                EQU        LVDCON.4    
LVDL2                EQU        LVDCON.2    
LVDL1                EQU        LVDCON.1    
LVDL0                EQU        LVDCON.0    


;=======================================
;  WDA Register BIT Definitions 
;=======================================
WDA5                 EQU        WDA.5       
WDA4                 EQU        WDA.4       
WDA2                 EQU        WDA.2       
WDA1                 EQU        WDA.1       
WDA0                 EQU        WDA.0       


;=======================================
;  WPUDA Register BIT Definitions 
;=======================================
WPUDA5               EQU        WPUDA.5     
WPUDA4               EQU        WPUDA.4     
WPUDA2               EQU        WPUDA.2     
WPUDA1               EQU        WPUDA.1     
WPUDA0               EQU        WPUDA.0     


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_WUREN_ON            EQU        2FFFh       
_WUREN_OFF           EQU        3FFFh       
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOD_ON              EQU        3FFFh       
_BOD_NSLEEP          EQU        3EFFh       
_BOD_SBODEN          EQU        3DFFh       
_BOD_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
